std::vector< bool, _Alloc > Class Template Reference
Containers » Sequences

`#include <stl_bvector.h>`

Inherits std::_Bvector_base< _Alloc >.

## Public Types

typedef _Alloc | allocator_type
typedef _Bit_const_iterator | const_iterator
typedef const bool * | const_pointer
typedef bool | const_reference
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef ptrdiff_t | difference_type
typedef _Bit_iterator | iterator
typedef _Bit_reference * | pointer
typedef _Bit_reference | reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef size_t | size_type
typedef bool | value_type

## Public Member Functions

template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>
| vector (_InputIterator __first, _InputIterator __last, const allocator_type &__a=allocator_type())
| vector (const allocator_type &__a)
| vector (const vector &__x)
| vector (const vector &__x, const allocator_type &__a)
| vector (initializer_list< bool > __l, const allocator_type &__a=allocator_type())
| vector (size_type __n, const allocator_type &__a=allocator_type())
| vector (size_type __n, const bool &__value, const allocator_type &__a=allocator_type())
| vector (vector &&)=default
| vector (vector &&__x, const allocator_type &__a) noexcept(_Bit_alloc_traits::_S_always_equal())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>
void | assign (_InputIterator __first, _InputIterator __last)
void | assign (initializer_list< bool > __l)
void | assign (size_type __n, const bool &__x)
reference | at (size_type __n)
const_reference | at (size_type __n) const
reference | back ()
const_reference | back () const
const_iterator | begin () const noexcept
iterator | begin () noexcept
size_type | capacity () const noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
void | clear () noexcept
const_reverse_iterator | crbegin () const noexcept
const_reverse_iterator | crend () const noexcept
void | data () noexcept
template<typename... _Args>
iterator | emplace (const_iterator __pos, _Args &&... __args)
template<typename... _Args>
reference | emplace_back (_Args &&... __args)
bool | empty () const noexcept
const_iterator | end () const noexcept
iterator | end () noexcept
iterator | erase (const_iterator __first, const_iterator __last)
iterator | erase (const_iterator __position)
void | flip () noexcept
reference | front ()
const_reference | front () const
allocator_type | get_allocator () const
iterator | insert (const_iterator __p, initializer_list< bool > __l)
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>
iterator | insert (const_iterator __position, _InputIterator __first, _InputIterator __last)
iterator | insert (const_iterator __position, const bool &__x=bool())
iterator | insert (const_iterator __position, size_type __n, const bool &__x)
size_type | max_size () const noexcept
vector & | operator= (const vector &__x)
vector & | operator= (initializer_list< bool > __l)
vector & | operator= (vector &&__x) noexcept(_Bit_alloc_traits::_S_nothrow_move())
reference | operator[] (size_type __n)
const_reference | operator[] (size_type __n) const
void | pop_back ()
void | push_back (bool __x)
const_reverse_iterator | rbegin () const noexcept
reverse_iterator | rbegin () noexcept
const_reverse_iterator | rend () const noexcept
reverse_iterator | rend () noexcept
void | reserve (size_type __n)
void | resize (size_type __new_size, bool __x=bool())
void | shrink_to_fit ()
size_type | size () const noexcept
void | swap (vector &__x) noexcept

## Static Public Member Functions

static void | swap (reference __x, reference __y) noexcept

## Protected Types

typedef __gnu_cxx::__alloc_traits< _Alloc >::template rebind< _Bit_type >::other | _Bit_alloc_type

## Protected Member Functions

_Bit_pointer | _M_allocate (size_t __n)
template<typename _ForwardIterator >
void | _M_assign_aux (_ForwardIterator __first, _ForwardIterator __last, std::forward_iterator_tag)
template<typename _InputIterator >
void | _M_assign_aux (_InputIterator __first, _InputIterator __last, std::input_iterator_tag)
size_type | _M_check_len (size_type __n, const char *__s) const
iterator | _M_copy_aligned (const_iterator __first, const_iterator __last, iterator __result)
void | _M_deallocate ()
iterator | _M_erase (iterator __first, iterator __last)
iterator | _M_erase (iterator __pos)
void | _M_erase_at_end (iterator __pos)
void | _M_fill_assign (size_t __n, bool __x)
void | _M_fill_insert (iterator __position, size_type __n, bool __x)
const _Bit_alloc_type & | _M_get_Bit_allocator () const noexcept
_Bit_alloc_type & | _M_get_Bit_allocator () noexcept
void | _M_initialize (size_type __n)
template<typename _ForwardIterator >
void | _M_initialize_range (_ForwardIterator __first, _ForwardIterator __last, std::forward_iterator_tag)
template<typename _InputIterator >
void | _M_initialize_range (_InputIterator __first, _InputIterator __last, std::input_iterator_tag)
void | _M_initialize_value (bool __x)
void | _M_insert_aux (iterator __position, bool __x)
template<typename _InputIterator >
void | _M_insert_range (iterator __pos, _InputIterator __first, _InputIterator __last, std::input_iterator_tag)
template<typename _ForwardIterator >
void | _M_insert_range (iterator __position, _ForwardIterator __first, _ForwardIterator __last, std::forward_iterator_tag)
void | _M_move_data (_Bvector_base &&__x) noexcept
void | _M_range_check (size_type __n) const
void | _M_reallocate (size_type __n)
bool | _M_shrink_to_fit ()

## Static Protected Member Functions

static size_t | _S_nword (size_t __n)

## Protected Attributes

_Bvector_impl | _M_impl

## Friends

struct | std::hash< vector >

## Detailed Description

template<typename _Alloc>
class std::vector< bool, _Alloc >

A specialization of vector for booleans which offers fixed time access to individual elements in any order.

Template Parameters

  _Alloc | Allocator type.

Note that vector<bool> does not actually meet the requirements for being a container. This is because the reference and pointer types are not really references and pointers to bool. See DR96 for details.

See also
  vector for function documentation.

In some terminology a vector can be described as a dynamic C-style array, it offers fast and efficient access to individual elements in any order and saves the user from worrying about memory and size allocation. Subscripting ( ``[] ) access is also provided as with C-style arrays.

Definition at line 596 of file stl_bvector.h.

## Member Typedef Documentation

## _Bit_alloc_type

template<typename _Alloc >

typedef __gnu_cxx::__alloc_traits<_Alloc>::template rebind<_Bit_type>::other std::_Bvector_base< _Alloc >::_Bit_alloc_type

inherited

Definition at line 423 of file stl_bvector.h.

## allocator_type

template<typename _Alloc >

typedef _Alloc std::vector< bool, _Alloc >::allocator_type

Definition at line 618 of file stl_bvector.h.

## const_iterator

template<typename _Alloc >

typedef _Bit_const_iterator std::vector< bool, _Alloc >::const_iterator

Definition at line 615 of file stl_bvector.h.

## const_pointer

template<typename _Alloc >

typedef const bool* std::vector< bool, _Alloc >::const_pointer

Definition at line 613 of file stl_bvector.h.

## const_reference

template<typename _Alloc >

typedef bool std::vector< bool, _Alloc >::const_reference

Definition at line 611 of file stl_bvector.h.

## const_reverse_iterator

template<typename _Alloc >

typedef std::reverse_iterator<const_iterator> std::vector< bool, _Alloc >::const_reverse_iterator

Definition at line 616 of file stl_bvector.h.

## difference_type

template<typename _Alloc >

typedef ptrdiff_t std::vector< bool, _Alloc >::difference_type

Definition at line 609 of file stl_bvector.h.

## iterator

template<typename _Alloc >

typedef _Bit_iterator std::vector< bool, _Alloc >::iterator

Definition at line 614 of file stl_bvector.h.

## pointer

template<typename _Alloc >

typedef _Bit_reference* std::vector< bool, _Alloc >::pointer

Definition at line 612 of file stl_bvector.h.

## reference

template<typename _Alloc >

typedef _Bit_reference std::vector< bool, _Alloc >::reference

Definition at line 610 of file stl_bvector.h.

## reverse_iterator

template<typename _Alloc >

typedef std::reverse_iterator<iterator> std::vector< bool, _Alloc >::reverse_iterator

Definition at line 617 of file stl_bvector.h.

## size_type

template<typename _Alloc >

typedef size_t std::vector< bool, _Alloc >::size_type

Definition at line 608 of file stl_bvector.h.

## value_type

template<typename _Alloc >

typedef bool std::vector< bool, _Alloc >::value_type

Definition at line 607 of file stl_bvector.h.

## Constructor & Destructor Documentation

## vector() [1/8]

template<typename _Alloc >

std::vector< bool, _Alloc >::vector | ( | const allocator_type & | __a | ) |

inline explicit

Definition at line 638 of file stl_bvector.h.

## vector() [2/8]

template<typename _Alloc >

std::vector< bool, _Alloc >::vector | ( | size_type | __n,
|  | const allocator_type & | __a = `allocator_type()`
| ) |  |

inline explicit

Definition at line 643 of file stl_bvector.h.

## vector() [3/8]

template<typename _Alloc >

std::vector< bool, _Alloc >::vector | ( | size_type | __n,
|  | const bool & | __value,
|  | const allocator_type & | __a = `allocator_type()`
| ) |  |

inline

Definition at line 647 of file stl_bvector.h.

## vector() [4/8]

template<typename _Alloc >

std::vector< bool, _Alloc >::vector | ( | const vector< bool, _Alloc > & | __x | ) |

inline

Definition at line 660 of file stl_bvector.h.

## vector() [5/8]

template<typename _Alloc >

std::vector< bool, _Alloc >::vector | ( | vector< bool, _Alloc > && | __x,
|  | const allocator_type & | __a
| ) |  |

inline noexcept

Definition at line 689 of file stl_bvector.h.

## vector() [6/8]

template<typename _Alloc >

std::vector< bool, _Alloc >::vector | ( | const vector< bool, _Alloc > & | __x,
|  | const allocator_type & | __a
| ) |  |

inline

Definition at line 695 of file stl_bvector.h.

## vector() [7/8]

template<typename _Alloc >

std::vector< bool, _Alloc >::vector | ( | initializer_list< bool > | __l,
|  | const allocator_type & | __a = `allocator_type()`
| ) |  |

inline

Definition at line 702 of file stl_bvector.h.

## vector() [8/8]

template<typename _Alloc >
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>

std::vector< bool, _Alloc >::vector | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const allocator_type & | __a = `allocator_type()`
| ) |  |

inline

Definition at line 714 of file stl_bvector.h.

## ~vector()

template<typename _Alloc >

std::vector< bool, _Alloc >::~vector | ( |  | ) |

inline noexcept

Definition at line 733 of file stl_bvector.h.

## Member Function Documentation

## _M_allocate()

template<typename _Alloc >

_Bit_pointer std::_Bvector_base< _Alloc >::_M_allocate | ( | size_t | __n | ) |

inline protected inherited

Definition at line 549 of file stl_bvector.h.

## _M_assign_aux() [1/2]

template<typename _Alloc >
template<typename _ForwardIterator >

void std::vector< bool, _Alloc >::_M_assign_aux | ( | _ForwardIterator | __first,
|  | _ForwardIterator | __last,
|  | std::forward_iterator_tag |
| ) |  |

inline protected

Definition at line 1250 of file stl_bvector.h.

## _M_assign_aux() [2/2]

template<typename _Alloc >
template<typename _InputIterator >

void std::vector< bool, _Alloc >::_M_assign_aux | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | std::input_iterator_tag |
| ) |  |

inline protected

Definition at line 1236 of file stl_bvector.h.

## _M_check_len()

template<typename _Alloc >

size_type std::vector< bool, _Alloc >::_M_check_len | ( | size_type | __n,
|  | const char * | __s
| ) |  | const

inline protected

Definition at line 1307 of file stl_bvector.h.

## _M_copy_aligned()

template<typename _Alloc >

iterator std::vector< bool, _Alloc >::_M_copy_aligned | ( | const_iterator | __first,
|  | const_iterator | __last,
|  | iterator | __result
| ) |  |

inline protected

Definition at line 1128 of file stl_bvector.h.

## _M_deallocate()

template<typename _Alloc >

void std::_Bvector_base< _Alloc >::_M_deallocate | ( |  | ) |

inline protected inherited

Definition at line 553 of file stl_bvector.h.

## _M_erase() [1/2]

template<typename _Alloc >

vector< bool, _Alloc >::iterator std::vector< bool, _Alloc >::_M_erase | ( | iterator | __first,
|  | iterator | __last
| ) |  |

protected

Definition at line 929 of file vector.tcc.

## _M_erase() [2/2]

template<typename _Alloc >

vector< bool, _Alloc >::iterator std::vector< bool, _Alloc >::_M_erase | ( | iterator | __pos | ) |

protected

Definition at line 918 of file vector.tcc.

## _M_erase_at_end()

template<typename _Alloc >

void std::vector< bool, _Alloc >::_M_erase_at_end | ( | iterator | __pos | ) |

inline protected

Definition at line 1317 of file stl_bvector.h.

## _M_fill_assign()

template<typename _Alloc >

void std::vector< bool, _Alloc >::_M_fill_assign | ( | size_t | __n,
|  | bool | __x
| ) |  |

inline protected

Definition at line 1220 of file stl_bvector.h.

## _M_fill_insert()

template<typename _Alloc >

void std::vector< bool, _Alloc >::_M_fill_insert | ( | iterator | __position,
|  | size_type | __n,
|  | bool | __x
| ) |  |

protected

Definition at line 824 of file vector.tcc.

## _M_get_Bit_allocator() [1/2]

template<typename _Alloc >

const _Bit_alloc_type & std::_Bvector_base< _Alloc >::_M_get_Bit_allocator | ( |  | ) | const

inline noexcept inherited

Definition at line 518 of file stl_bvector.h.

## _M_get_Bit_allocator() [2/2]

template<typename _Alloc >

_Bit_alloc_type & std::_Bvector_base< _Alloc >::_M_get_Bit_allocator | ( |  | ) |

inline noexcept inherited

Definition at line 514 of file stl_bvector.h.

## _M_initialize()

template<typename _Alloc >

void std::vector< bool, _Alloc >::_M_initialize | ( | size_type | __n | ) |

inline protected

Definition at line 1137 of file stl_bvector.h.

## _M_initialize_range() [1/2]

template<typename _Alloc >
template<typename _ForwardIterator >

void std::vector< bool, _Alloc >::_M_initialize_range | ( | _ForwardIterator | __first,
|  | _ForwardIterator | __last,
|  | std::forward_iterator_tag |
| ) |  |

inline protected

Definition at line 1196 of file stl_bvector.h.

## _M_initialize_range() [2/2]

template<typename _Alloc >
template<typename _InputIterator >

void std::vector< bool, _Alloc >::_M_initialize_range | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | std::input_iterator_tag |
| ) |  |

inline protected

Definition at line 1187 of file stl_bvector.h.

## _M_initialize_value()

template<typename _Alloc >

void std::vector< bool, _Alloc >::_M_initialize_value | ( | bool | __x | ) |

inline protected

Definition at line 1150 of file stl_bvector.h.

## _M_insert_aux()

template<typename _Alloc >

void std::vector< bool, _Alloc >::_M_insert_aux | ( | iterator | __position,
|  | bool | __x
| ) |  |

protected

Definition at line 890 of file vector.tcc.

## _M_insert_range() [1/2]

template<typename _Alloc >
template<typename _InputIterator >

void std::vector< bool, _Alloc >::_M_insert_range | ( | iterator | __pos,
|  | _InputIterator | __first,
|  | _InputIterator | __last,
|  | std::input_iterator_tag |
| ) |  |

inline protected

Definition at line 1288 of file stl_bvector.h.

## _M_insert_range() [2/2]

template<typename _Alloc >
template<typename _ForwardIterator >

void std::vector< bool, _Alloc >::_M_insert_range | ( | iterator | __position,
|  | _ForwardIterator | __first,
|  | _ForwardIterator | __last,
|  | std::forward_iterator_tag |
| ) |  |

protected

Definition at line 856 of file vector.tcc.

## _M_move_data()

template<typename _Alloc >

void std::_Bvector_base< _Alloc >::_M_move_data | ( | _Bvector_base< _Alloc > && | __x | ) |

inline protected noexcept inherited

Definition at line 567 of file stl_bvector.h.

## _M_range_check()

template<typename _Alloc >

void std::vector< bool, _Alloc >::_M_range_check | ( | size_type | __n | ) | const

inline protected

Definition at line 915 of file stl_bvector.h.

## _M_reallocate()

template<typename _Alloc >

void std::vector< bool, _Alloc >::_M_reallocate | ( | size_type | __n | ) |

protected

Definition at line 810 of file vector.tcc.

## _M_shrink_to_fit()

template<typename _Alloc >

bool std::vector< bool, _Alloc >::_M_shrink_to_fit | ( |  | ) |

protected

Definition at line 940 of file vector.tcc.

## _S_nword()

template<typename _Alloc >

static size_t std::_Bvector_base< _Alloc >::_S_nword | ( | size_t | __n | ) |

inline static protected inherited

Definition at line 572 of file stl_bvector.h.

## assign() [1/3]

template<typename _Alloc >
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>

void std::vector< bool, _Alloc >::assign | ( | _InputIterator | __first,
|  | _InputIterator | __last
| ) |  |

inline

Definition at line 811 of file stl_bvector.h.

## assign() [2/3]

template<typename _Alloc >

void std::vector< bool, _Alloc >::assign | ( | initializer_list< bool > | __l | ) |

inline

Definition at line 826 of file stl_bvector.h.

## assign() [3/3]

template<typename _Alloc >

void std::vector< bool, _Alloc >::assign | ( | size_type | __n,
|  | const bool & | __x
| ) |  |

inline

Definition at line 804 of file stl_bvector.h.

## at() [1/2]

template<typename _Alloc >

reference std::vector< bool, _Alloc >::at | ( | size_type | __n | ) |

inline

Definition at line 926 of file stl_bvector.h.

## at() [2/2]

template<typename _Alloc >

const_reference std::vector< bool, _Alloc >::at | ( | size_type | __n | ) | const

inline

Definition at line 930 of file stl_bvector.h.

## back() [1/2]

template<typename _Alloc >

reference std::vector< bool, _Alloc >::back | ( |  | ) |

inline

Definition at line 951 of file stl_bvector.h.

## back() [2/2]

template<typename _Alloc >

const_reference std::vector< bool, _Alloc >::back | ( |  | ) | const

inline

Definition at line 955 of file stl_bvector.h.

## begin() [1/2]

template<typename _Alloc >

const_iterator std::vector< bool, _Alloc >::begin | ( |  | ) | const

inline noexcept

Definition at line 835 of file stl_bvector.h.

## begin() [2/2]

template<typename _Alloc >

iterator std::vector< bool, _Alloc >::begin | ( |  | ) |

inline noexcept

Definition at line 831 of file stl_bvector.h.

## capacity()

template<typename _Alloc >

size_type std::vector< bool, _Alloc >::capacity | ( |  | ) | const

inline noexcept

Definition at line 897 of file stl_bvector.h.

## cbegin()

template<typename _Alloc >

const_iterator std::vector< bool, _Alloc >::cbegin | ( |  | ) | const

inline noexcept

Definition at line 864 of file stl_bvector.h.

## cend()

template<typename _Alloc >

const_iterator std::vector< bool, _Alloc >::cend | ( |  | ) | const

inline noexcept

Definition at line 868 of file stl_bvector.h.

## clear()

template<typename _Alloc >

void std::vector< bool, _Alloc >::clear | ( |  | ) |

inline noexcept

Definition at line 1101 of file stl_bvector.h.

## crbegin()

template<typename _Alloc >

const_reverse_iterator std::vector< bool, _Alloc >::crbegin | ( |  | ) | const

inline noexcept

Definition at line 872 of file stl_bvector.h.

## crend()

template<typename _Alloc >

const_reverse_iterator std::vector< bool, _Alloc >::crend | ( |  | ) | const

inline noexcept

Definition at line 876 of file stl_bvector.h.

## data()

template<typename _Alloc >

void std::vector< bool, _Alloc >::data | ( |  | ) |

inline noexcept

Definition at line 964 of file stl_bvector.h.

## emplace()

template<typename _Alloc >
template<typename... _Args>

iterator std::vector< bool, _Alloc >::emplace | ( | const_iterator | __pos,
|  | _Args &&... | __args
| ) |  |

inline

Definition at line 1121 of file stl_bvector.h.

## emplace_back()

template<typename _Alloc >
template<typename... _Args>

reference std::vector< bool, _Alloc >::emplace_back | ( | _Args &&... | __args | ) |

inline

Definition at line 1111 of file stl_bvector.h.

## empty()

template<typename _Alloc >

bool std::vector< bool, _Alloc >::empty | ( |  | ) | const

inline noexcept

Definition at line 902 of file stl_bvector.h.

## end() [1/2]

template<typename _Alloc >

const_iterator std::vector< bool, _Alloc >::end | ( |  | ) | const

inline noexcept

Definition at line 843 of file stl_bvector.h.

## end() [2/2]

template<typename _Alloc >

iterator std::vector< bool, _Alloc >::end | ( |  | ) |

inline noexcept

Definition at line 839 of file stl_bvector.h.

## erase() [1/2]

template<typename _Alloc >

iterator std::vector< bool, _Alloc >::erase | ( | const_iterator | __first,
|  | const_iterator | __last
| ) |  |

inline

Definition at line 1071 of file stl_bvector.h.

## erase() [2/2]

template<typename _Alloc >

iterator std::vector< bool, _Alloc >::erase | ( | const_iterator | __position | ) |

inline

Definition at line 1063 of file stl_bvector.h.

## flip()

template<typename _Alloc >

void std::vector< bool, _Alloc >::flip | ( |  | ) |

inline noexcept

Definition at line 1093 of file stl_bvector.h.

## front() [1/2]

template<typename _Alloc >

reference std::vector< bool, _Alloc >::front | ( |  | ) |

inline

Definition at line 943 of file stl_bvector.h.

## front() [2/2]

template<typename _Alloc >

const_reference std::vector< bool, _Alloc >::front | ( |  | ) | const

inline

Definition at line 947 of file stl_bvector.h.

## get_allocator()

template<typename _Alloc >

allocator_type std::vector< bool, _Alloc >::get_allocator | ( |  | ) | const

inline

Definition at line 621 of file stl_bvector.h.

## insert() [1/4]

template<typename _Alloc >

iterator std::vector< bool, _Alloc >::insert | ( | const_iterator | __p,
|  | initializer_list< bool > | __l
| ) |  |

inline

Definition at line 1053 of file stl_bvector.h.

## insert() [2/4]

template<typename _Alloc >
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>

iterator std::vector< bool, _Alloc >::insert | ( | const_iterator | __position,
|  | _InputIterator | __first,
|  | _InputIterator | __last
| ) |  |

inline

Definition at line 1016 of file stl_bvector.h.

## insert() [3/4]

template<typename _Alloc >

iterator std::vector< bool, _Alloc >::insert | ( | const_iterator | __position,
|  | const bool & | __x = `bool()`
| ) |  |

inline

Definition at line 998 of file stl_bvector.h.

## insert() [4/4]

template<typename _Alloc >

iterator std::vector< bool, _Alloc >::insert | ( | const_iterator | __position,
|  | size_type | __n,
|  | const bool & | __x
| ) |  |

inline

Definition at line 1039 of file stl_bvector.h.

## max_size()

template<typename _Alloc >

size_type std::vector< bool, _Alloc >::max_size | ( |  | ) | const

inline noexcept

Definition at line 885 of file stl_bvector.h.

## operator=() [1/3]

template<typename _Alloc >

vector & std::vector< bool, _Alloc >::operator= | ( | const vector< bool, _Alloc > & | __x | ) |

inline

Definition at line 736 of file stl_bvector.h.

## operator=() [2/3]

template<typename _Alloc >

vector & std::vector< bool, _Alloc >::operator= | ( | initializer_list< bool > | __l | ) |

inline

Definition at line 792 of file stl_bvector.h.

## operator=() [3/3]

template<typename _Alloc >

vector & std::vector< bool, _Alloc >::operator= | ( | vector< bool, _Alloc > && | __x | ) |

inline noexcept

Definition at line 767 of file stl_bvector.h.

## operator[]() [1/2]

template<typename _Alloc >

reference std::vector< bool, _Alloc >::operator[] | ( | size_type | __n | ) |

inline

Definition at line 906 of file stl_bvector.h.

## operator[]() [2/2]

template<typename _Alloc >

const_reference std::vector< bool, _Alloc >::operator[] | ( | size_type | __n | ) | const

inline

Definition at line 910 of file stl_bvector.h.

## pop_back()

template<typename _Alloc >

void std::vector< bool, _Alloc >::pop_back | ( |  | ) |

inline

Definition at line 1058 of file stl_bvector.h.

## push_back()

template<typename _Alloc >

void std::vector< bool, _Alloc >::push_back | ( | bool | __x | ) |

inline

Definition at line 967 of file stl_bvector.h.

## rbegin() [1/2]

template<typename _Alloc >

const_reverse_iterator std::vector< bool, _Alloc >::rbegin | ( |  | ) | const

inline noexcept

Definition at line 851 of file stl_bvector.h.

## rbegin() [2/2]

template<typename _Alloc >

reverse_iterator std::vector< bool, _Alloc >::rbegin | ( |  | ) |

inline noexcept

Definition at line 847 of file stl_bvector.h.

## rend() [1/2]

template<typename _Alloc >

const_reverse_iterator std::vector< bool, _Alloc >::rend | ( |  | ) | const

inline noexcept

Definition at line 859 of file stl_bvector.h.

## rend() [2/2]

template<typename _Alloc >

reverse_iterator std::vector< bool, _Alloc >::rend | ( |  | ) |

inline noexcept

Definition at line 855 of file stl_bvector.h.

## reserve()

template<typename _Alloc >

void std::vector< bool, _Alloc >::reserve | ( | size_type | __n | ) |

inline

Definition at line 934 of file stl_bvector.h.

## resize()

template<typename _Alloc >

void std::vector< bool, _Alloc >::resize | ( | size_type | __new_size,
|  | bool | __x = `bool()`
| ) |  |

inline

Definition at line 1078 of file stl_bvector.h.

## shrink_to_fit()

template<typename _Alloc >

void std::vector< bool, _Alloc >::shrink_to_fit | ( |  | ) |

inline

Definition at line 1088 of file stl_bvector.h.

## size()

template<typename _Alloc >

size_type std::vector< bool, _Alloc >::size | ( |  | ) | const

inline noexcept

Definition at line 881 of file stl_bvector.h.

## swap() [1/2]

template<typename _Alloc >

static void std::vector< bool, _Alloc >::swap | ( | reference | __x,
|  | reference | __y
| ) |  |

inline static noexcept

Definition at line 989 of file stl_bvector.h.

## swap() [2/2]

template<typename _Alloc >

void std::vector< bool, _Alloc >::swap | ( | vector< bool, _Alloc > & | __x | ) |

inline noexcept

Definition at line 976 of file stl_bvector.h.

## Friends And Related Symbol Documentation

## std::hash< vector >

template<typename _Alloc >

friend struct std::hash< vector >

friend

Definition at line 600 of file stl_bvector.h.

## Member Data Documentation

## _M_impl

template<typename _Alloc >

_Bvector_impl std::_Bvector_base< _Alloc >::_M_impl

protected inherited

Definition at line 546 of file stl_bvector.h.

The documentation for this class was generated from the following files:

- stl_bvector.h
- vector.tcc